@media (max-width: 768.5px) {
  .footer__title {
    @include textstyle(14px, 700, 22px, $footer-title-color);
  }
  .footer__text-wrapper {
    @include textstyle(12px, 400, 20px, $footer-wrapper-color);
  }
  .footer__contacts {
    @include textstyle(14px, 400, 24px, $footer-wrapper-color);
    & a {@include textstyle(14px, 400, 24px, $footer-wrapper-color);}
  }
  .footer__text-wrapper {
    & > span {
      display: none;
    }
  }
 .footer {
    width: 100%;
    padding: 10% 0;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
 .footer__text-wrapper {
    margin: 26px 0;
    width: 80%;
    text-align: center;
    margin-bottom: 26px;
  }
  .footer__social {
    display: flex;
    justify-content: center;
    & div {
      margin: 0 2px 25px;
    }
  }
  .footer__contacts {
    width: 200px;
    text-align: center;
  }
}
@media (min-width: 769px) and (max-width: 1200.5px) {
  .footer__title {
    @include textstyle(16px, 700, 22px, $footer-title-color);
  }
  .footer__text-wrapper {
    @include textstyle(16px, 400, 28px, $footer-wrapper-color);
  }
  .footer__contacts {
    @include textstyle(16px, 400, 26px, $footer-wrapper-color);
    & a {@include textstyle(16px, 400, 26px, $footer-wrapper-color);}
  }
  .footer {
    width: 100%;
    padding: 7% 0;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .footer__text-wrapper {
    & > span {
      display: block;
    }
    width: 684px;
    text-align: center;
    margin: 26px 0;
  }
  .footer__social {
    display: flex;
    justify-content: center;
    & div {
      margin: 0 2px 25px;
    }
  }
 .footer__contacts {
    width: 613px;
    text-align: center;
  }
}
@media (min-width: 1201px) {
  .footer__title {
    @include textstyle(16px, 700, 22px, $footer-title-color);
  }
  .footer__text-wrapper {
    @include textstyle(16px, 400, 28px, $footer-wrapper-color);
  }
  .footer__contacts {
    @include textstyle(16px, 400, 26px, $footer-wrapper-color);
    & a {@include textstyle(16px, 400, 26px, $footer-wrapper-color);}
  }
  .main-container {
    background-color: $fullscaleformat-background-color;
  }
  .footer {
    width: 100%;
    padding: 5% 0;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .footer__text-wrapper {
    & > span {
      display: block;
    }
    width: 684px;
    text-align: center;
    margin: 26px 0;
  }
  .footer__social {
    display: flex;
    justify-content: center;
    & div {
      margin: 0 2px 25px;
    }
  }
  .footer__contacts {
    width: 613px;
    text-align: center;
  }
}
